/**
 * 功能: 组件库的总入口
 * @author Conan
 * @CreatedTime 2022-05-15
 */
import Demo from "./demo";
import CAVButton from "./CAVButton";

const components = [
    Demo,
    CAVButton,
]

const install = function (Vue) {
    // 避免重复安装
    if (install.installed) return;
    components.forEach((component) => {
        Vue.component(component.name, component)
    })
}

export {
    Demo,
    CAVButton,
    install
}

export default {
    install
}